%ifnarch ppc64le s390x
%bcond_without check
%endif

%global goipath         github.com/remyoudompheng/bigfft
%global commit          eec4a21b6bb01e5c1260ca5e04d0c58e11e20f30

%gometa

%global common_description %{expand:
Big integer multiplication library for Go using Fast Fourier transform.}

%global golicenses      LICENSE
%global godocs          README

Name:           %{goname}
Version:        0
Release:    2%{?dist}
Summary:        Big integer multiplication library for Go using Fast Fourier transform

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 0-2.giteec4a21
- Rebuilt for loongarch64

* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
